mscorlib 2.0.0.0 4.0.0.0 System.Object System.Runtime.InteropServices.ComVisible(true)

An application identity consists of the publisher's public key, the application name, the target processor architecture, the application culture, and the application version. The application identity properties values correspond to information contained in the application manifest. For more information about the application manifest, see ClickOnce Application Manifest.

is used by the class to identify a manifest-based application.

Contains information used to uniquely identify a manifest-based application. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The constructor initializes the , , , , and properties of the .

  Initializes a new instance of the class.

  The array of bytes representing the raw public key data.
  The name of the application.
  A object that specifies the version of the application.
  The processor architecture of the application.
  The culture of the application.
- Method
  2.0.0.0
  4.0.0.0
  System.ApplicationId

  The copy returned by this method is equal to the original as substantiated by the method. The hash codes for the original and the copy are also equal.

  Creates and returns an identical copy of the current application identity.

  An object that represents an exact copy of the original.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The value can include language information, for example, "en-US".

  For information about culture values, see .

  Gets a string representing the culture information for the application.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method overrides the method.

  Determines whether the specified object is equivalent to the current .

  true if the specified object is equivalent to the current ; otherwise, false.

  The object to compare to the current .
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  This method generates the same hash code for two objects that have the same values for their and properties.

  Gets the hash code for the current application identity.

  The hash code for the current application identity.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  is the simple, unencrypted name of the application.

  Gets the name of the application.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Valid values include "msil", "x86", "ia64", and "amd64". The default is "msil", or Microsoft intermediate language, which means all your assemblies are platform independent, and the common language runtime will compile them when they are needed by your application.

  Gets the target processor architecture for the application.

- Property
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added.

  The public key token is represented by the last 8 bytes of the SHA-1 hash of the public key under which the application is signed.

  For more information, see .

  Gets the public key token for the application.

- Method
  2.0.0.0
  4.0.0.0
  System.String

  This method overrides the method.

  Creates and returns a string representation of the application identity.

  A string representation of the application identity.

- Property
  2.0.0.0
  4.0.0.0
  System.Version To be added.

  For more information, see .

  Gets the version of the application.